## com.google.appengine.api.files
Class KeyOrderingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.google.appengine.api.files.KeyOrderingException

All Implemented Interfaces:
  java.io.Serializable

    public class KeyOrderingException

extends java.io.IOException

A `KeyOrderingException` is thrown by the method `FileWriteChannel.write(ByteBuffer, String)` if the `sequenceKey` parameter is not `null` and the backend system already has recorded a last good sequence key for the file and `sequenceKey` is not lexicographically strictly greater than the last good sequence key. The last good sequence key may then be retrieved via the method `getLastGoodSequenceKey()`

See Also:
  Serialized Form

Method Summary
`java.lang.String` `getLastGoodSequenceKey()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLastGoodSequenceKey

    public java.lang.String getLastGoodSequenceKey()